Subject: Re: Can we clarify the purpose of `git diff -s`?

From: Felipe Contreras <[email-masked]>
Date: Fri, 12 May 2023 13:19:29 -0600

Sergey Organov wrote:
> Felipe Contreras <[email-masked]> writes:

> > No, it's very different.
> >
> >  cur: git diff --raw --no-patch # no output
> >  new: git diff --raw --no-patch # raw output
> >
> >  cur: git diff -s --raw # no output
> >  new: git diff -s --raw # raw output
> >
> >  cur: git diff -s --patch --raw --no-patch # no output
> >  new: git diff -s --patch --raw --no-patch # raw output
> >
> > I've no idea what makes you think these are exactly the same.
> 
> I was discussing the behavior of defaults rather than the behavior of
> particular option sets, and we already agreed about the latter from the
> very beginning.

OK, but that's a different topic than:

Subject: Re: Can we clarify the purpose of `git diff -s`?

I think if you want to discuss a different topic you should change the title.

I'm not sure I'm interested in that discussion, but I'm glad we agree on what
`-s` and `--no-patch` should do.

Cheers.

-- 
Felipe Contreras